Shared RSI Community
GitHub24

Workflow

workflow/README.md

All community contributions follow a unified collaboration workflow:

  1. Read the Specification: Review the corresponding RFC specification or repository guide to understand the required directory layout and schema.
  2. Open an Issue: Check existing Issues or open a new Issue in the target repository.
  3. Claim in Issue Comments (Optional): Leave a comment on the Issue to claim the task (claiming is optional and primarily prevents duplicate work).
  4. Submit a PR: Open a Pull Request linking the Issue once the work is complete.
  5. Maintainer Review & Merge: Wait for a maintainer to review and merge the PR into the main branch.

To keep experimental costs low and results directly comparable across the community, we recommend the following guidelines:

  • Submit Benchmark: When verifying a newly formatted Benchmark, we recommend running repeated attempts (e.g., n_attempt: 3) with the DeepSeek Flash model, optionally reporting pass@k, following the built-in example penguinharness-benchmark-sec-a.
  • Submit Evaluation: For self-evolving (RSI) algorithms, we recommend evaluating with the DeepSeek Flash model on the GDPevo-essential dataset (covering six domain task groups—CRM, ERP, Finance, Healthcare, Legal, and DataAnalysis—training on each group's *-train split, evaluating on its paired *-test split, and averaging across task groups).
  • Submit Algorithm (Plugin): Keep the Plugin implementation decoupled from specific datasets (containing only the algorithm method), and test it with DeepSeek Flash on GDPevo-essential after implementation to verify whether it improves over the baseline.
  • Model Version Requirement: When using models such as deepseek-flash, always include the explicit version suffix in model_name (for example, deepseek-flash-1017).

Contribution Tracks

Track Target Repository Specification Workflow Guide
01 Submit Benchmark penguin-harness-benchmark RFC-0001 Benchmark Submit Benchmark
02 Submit Evaluation penguin-harness-benchmark RFC-0002 Evaluation Submit Evaluation
03 Submit Algorithm penguin-harness-plugins RFC-0003 Plugin Submit Algorithm
04 Contribute to PenguinHarness penguin-harness — Contribute to PenguinHarness
05 Contribute to Awesome RSI awesome-rsi — Contribute to Awesome RSI

Edit this page on GitHubOpen as Markdown

You're about to open an external link

This link goes to a site outside Shared RSI Community and opens in a new tab:

Open link

Join RSI Community WeChat Group

Scan the QR code with WeChat to join

Join RSI Community WeChat Group